Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.pa.generic
Class BinaryDecisionTreeAbstractor

    java.lang.Object
      escjava.pa.generic.BinaryDecisionTreeAbstractor

All Implemented Interfaces:
  Abstractor

public class BinaryDecisionTreeAbstractor
extends java.lang.Object
implements Abstractor

Field Summary
`private mocha.wrappers.jbdd.jbddManager` | `bddManager`
`private java.util.Vector` | `clauses`
`private int` | `numPredicates`
`private mocha.wrappers.jbdd.jbdd` | `R`

Constructor Summary
`BinaryDecisionTreeAbstractor(mocha.wrappers.jbdd.jbddManager bddManager)`

Method Summary
`private void` | `abstractHelper(int n, java.lang.String m, mocha.wrappers.jbdd.jbdd curTruthAss, java.util.Vector clauses, Prover p)`
`mocha.wrappers.jbdd.jbdd` | `get()`
`java.util.Vector` | `getClauses()`
`boolean` | `union(Prover p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bddManager

    private mocha.wrappers.jbdd.jbddManager bddManager

### numPredicates

    private int numPredicates

### R

    private mocha.wrappers.jbdd.jbdd R

### clauses

    private java.util.Vector clauses

Constructor Detail

### BinaryDecisionTreeAbstractor

    public BinaryDecisionTreeAbstractor(mocha.wrappers.jbdd.jbddManager bddManager)

Method Detail

### get

    public mocha.wrappers.jbdd.jbdd get()

  Specified by:
    `get` in interface `Abstractor`

### getClauses

    public java.util.Vector getClauses()

  Specified by:
    `getClauses` in interface `Abstractor`

### union

    public boolean union(Prover p)

  Specified by:
    `union` in interface `Abstractor`

### abstractHelper

    private void abstractHelper(int n,
                                java.lang.String m,
                                mocha.wrappers.jbdd.jbdd curTruthAss,
                                java.util.Vector clauses,
                                Prover p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage